# PSF-LoginServer - master - net.psforever.services.local.support.HackClearActor
PSF - LoginServer - master - net.psforever.services.local.support.HackClearActor
Keywords: PSF LoginServer master net.psforever.services.local.support.HackClearActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package local
  Definition Classes
    services
-  package support
  Definition Classes
    local
- CaptureFlagChatMessageStrings
- CaptureFlagLostReasonEnum
- CaptureFlagManager
- DoorCloseActor
- HackCaptureActor
- HackClearActor
- RouterTelepadActivation

o

net.psforever.services.local.support

# HackClearActor 

###
Companion class HackClearActor

#### object HackClearActor

Source
  HackClearActor.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HackClearActor
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class ObjectIsHacked (target: PlanetSideServerObject, zone: Zone, unk1: Long, unk2: Long, duration: Int, time: Long = System.nanoTime()) extends Product with Serializable

   Message that carries information about a server object that has been hacked.

   Message that carries information about a server object that has been hacked.

   target

     the server object

   zone

     the zone in which the object resides

   duration

     how long the object is to stay hacked for in seconds

   time

     when the object was hacked

   See also

     `HackEntry`

2.  final case class ObjectIsResecured (target: PlanetSideServerObject with Hackable) extends Product with Serializable

   Message used to request that a hack is cleared from the hacked objects list and the unhacked status returned to all clients

3.  final case class SendHackMessageHackCleared (obj: PlanetSideGUID, zone_id: String, unk1: Long, unk2: Long) extends Product with Serializable

   Message that carries information about a server object that needs its functionality restored.

   Message that carries information about a server object that needs its functionality restored. Prompting, as compared to `ObjectIsHacked` which is reactionary.

   obj

     the server object

   zone_id

     the zone in which the object resides

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped